> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseplate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Document

### Path Parameters

<ParamField path="id" type="string" required>
  Dataset ID
</ParamField>

### Header

<ParamField header="Authorization" type="string">
  Baseplate API key. Must be in the format "Bearer \$BASEPLATE\_API\_KEY"
</ParamField>

### Body

<ParamField body="id" type="string" required>
  The document ID to create. Must be unique within a dataset.
</ParamField>

<ParamField body="filename" type="string">
  The name of the file
</ParamField>

<ParamField body="url" type="string">
  The url of the file
</ParamField>

<ParamField body="content" type="string">
  Content of a document to add.
</ParamField>

<ParamField body="parse_url" type="boolean">
  If true, will GET the url and parse the response as a document.
</ParamField>

<ParamField body="chunk_size" type="number" default="1000">
  Sets the chunk size if parse\_url or content is set.
</ParamField>

<ParamField body="chunk_overlap" type="number" default="100">
  Sets the chunk overlap if parse\_url or content is set.
</ParamField>

<ParamField body="metadata" type="object">
  Metadata to add to every row in the document. Optional.
</ParamField>
